<?php
/**
 * Template part for displaying Post Content
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Nevo
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$current_post = $wp_query->current_post + 1;
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('cv-col-12 general-content'); ?> <?php nevo_do_microdata( 'article' ); ?>>
	<div class="inside-article">
		<?php
		/**
		 * nevo_before_content hook.
		 *
		 * @since 1.0
		 */
		do_action( 'nevo_before_content' );
		
		/**
		 * nevo_before_entry_header hook.
		 *
		 * @since 1.0
		 */
		do_action( 'nevo_before_entry_header' );

		?>
		<header <?php nevo_do_attr( 'entry_header' ); ?>>
			<div class="text-center">
				<?php
				/**
				 * nevo_before_entry_title hook.
				 *
				 * @since 1.0
				 */
				do_action( 'nevo_flexible_category_meta' );
				do_action( 'nevo_before_entry_title' );

				$params = nevo_get_the_title_parameters(' cv-fs-6 cv-fs-sm-5 cv-fs-md-4 post-title');
				the_title( $params['before'], $params['after'] );
				
				/**
				 * nevo_after_entry_title hook.
				 *
				 * @since 1.0
				 *
				 * @hooked nevo_post_meta - 10
				 */
				do_action( 'nevo_after_entry_title' );
				?>
			</div>
		</header>
		<?php
		
		/**
		 * nevo_after_entry_header hook.
		 *
		 * @since 1.0
		 */
		do_action( 'nevo_after_entry_header' );
		
		$size = nevo_get_post_setting('thumbnail_size') === 'default' ? 'large' : nevo_get_post_setting('thumbnail_size');
		nevo_post_image($size, 'aligncenter cv-col-12', 'size-full cv-col-12', 'aspect-ratio:16/9;', false);
		
		/**
		 * nevo_before_entry_content hook.
		 *
		 * @since 1.0
		 */
		do_action( 'nevo_before_entry_content' );
		
		$type = nevo_get_post_setting('excerpt_type');
		$excerpt_length = nevo_get_post_setting('excerpt_length');
		
		nevo_get_entry_content(20, $type, $excerpt_length, '');
		
		/**
		 * nevo_after_entry_content hook.
		 *
		 * @since 1.0
		 *
		 * @hooked nevo_footer_meta - 10
		 */
		do_action( 'nevo_after_entry_content' );

		/**
		 * nevo_after_content hook.
		 *
		 * @since 1.0
		 */
		do_action( 'nevo_after_content' );
		?>
	</div>
</article>
<?php
/**
 * nevo_after_article hook.
 *
 * @since 1.0
 */
do_action( 'nevo_after_article', $current_post );